wxWidgets: wxPersistentDataViewCtrl Class Reference

| Version: 3.2.6

Public Member Functions | List of all members
wxPersistentDataViewCtrl Class Reference

`#include <wx/persist/dataview.h>`

Inheritance diagram for wxPersistentDataViewCtrl:
[legend]

## Detailed Description

Persistence adapter for wxDataViewCtrl.

This adapter handles wxDataViewCtrl column widths and sort order.

Since
  3.1.1

## Public Member Functions
| wxPersistentDataViewCtrl (wxDataViewCtrl *control)
| Constructor. More...
void | Save () const override
| Save the current column widths and sort order. More...
bool | Restore () override
| Restore the column widths and sort order. More...
Public Member Functions inherited from wxPersistentWindow< wxDataViewCtrl >
| wxPersistentWindow (WindowType *win)
| Constructor for a persistent window object. More...
WindowType * | Get () const
virtual wxString | GetName () const
| Implements the base class pure virtual method using wxWindow::GetName(). More...
Public Member Functions inherited from wxPersistentObject
| wxPersistentObject (void *obj)
| Constructor takes the object which we're associated with. More...
virtual | ~wxPersistentObject ()
| Trivial but virtual destructor. More...
void * | GetObject () const
| Return the associated object. More...
virtual wxString | GetKind () const =0
| Returns the string uniquely identifying the objects supported by this adapter. More...

## Additional Inherited Members
Public Types inherited from wxPersistentWindow< wxDataViewCtrl >
typedef wxDataViewCtrl | WindowType
| The type of the associated window. More...
Protected Member Functions inherited from wxPersistentObject
template<typename T >
bool | SaveValue (const wxString &name, T value) const
| Save the specified value using the given name. More...
template<typename T >
bool | RestoreValue (const wxString &name, T *value)
| Restore a value saved by SaveValue(). More...

## Constructor & Destructor Documentation

## ◆ wxPersistentDataViewCtrl()

wxPersistentDataViewCtrl::wxPersistentDataViewCtrl | ( | wxDataViewCtrl * | control | ) |

Constructor.

Parameters

  control | The associated control.

## Member Function Documentation

## ◆ Restore()

bool wxPersistentDataViewCtrl::Restore | ( |  | ) |
| overridevirtual

Restore the column widths and sort order.

The wxDataViewCtrl must be initialized before calling this function, i.e. all of its columns should be already added to it – otherwise restoring their width would have no effect.

Implements wxPersistentObject.

## ◆ Save()

void wxPersistentDataViewCtrl::Save | ( |  | ) | const
| overridevirtual

Save the current column widths and sort order.

Implements wxPersistentObject.